Skip to navigation

List Tax Code Types

View as Markdown

Access control: this endpoint is available to users with the everyone role.

Returns the full list of recognized tax code types. A ‘Tax Code Type’ represents a broad category of tax codes, and is less detailed than a single TaxCode. This API is intended to be useful for broadly searching for tax codes by tax code type.

Authentication

Authorizationstring
API Key authentication via header

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Query parameters

$topintegerOptional

If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.

$skipintegerOptional

If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.

Response

Success
typesmap from strings to stringsOptional

The list of Avalara-defined tax code types.